<?php
QUnit_Global::includeClass('QCore_Sql_Table');

class QCore_Sql_Table_Banners extends QCore_Sql_Table {

    function QCore_Sql_Table_Banners() {
        $this->addColumn('bannerid', WD_PATTERN_DEFAULT);
        $this->addColumn('description', WD_PATTERN_DEFAULT, false);
        $this->addColumn('destinationurl', WD_PATTERN_DEFAULT, false);
        $this->addColumn('sourceurl', WD_PATTERN_DEFAULT, false);
        $this->addColumn('bannertype', WD_PATTERN_DEFAULT, false);
        $this->addColumn('bannertype', WD_PATTERN_DEFAULT, false);
        $this->addColumn('deleted', WD_PATTERN_DEFAULT, false);
        $this->addColumn('campaignid', WD_PATTERN_DEFAULT, false);
    }
        
    function getTableName() {
        return 'wd_pa_banners';
    }
    
        
    function getPkName() {
        return 'bannerid';
    }            
}
?>
